Subject: Re: [sipcore] Getting Prepared: History-Info Call Flows

From: "Elwell, John" <[email-masked]>
Date: Tue, 12 Apr 2011 11:17:36 +0200

I don't have a strong opinion either way as to whether we should adopt this (I notice there is not a specific milestone). If we do adopt it, it certainly would require a very thorough review by a reasonable number of people, because mistakes in such a document can easily find their way into implementations. I cannot commit to doing a thorough review.

I looked at the first example and it seems to be wrong. It is unclear how the mp parameter gets added to hi-entry 1.2. The example.com proxy is not in a position to know how Gold derived the new contact. I suspect Gold needs to provide the parameter in the 302 response. Moreover, I believe that would be a mapping from 1.1 (mp=1.1), not from 1.

John 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Adam Roach - 
> SIPCORE Chair
> Sent: 30 March 2011 08:34
> To: SIPCORE (Session Initiation Protocol Core) WG
> Subject: [sipcore] Getting Prepared: History-Info Call Flows
> 
> [as chair]
> 
> As we discussed at the SIPCORE meeting today, the SIPCORE WG 
> chairs will 
> be calling for consensus around adoption of the History-Info 
> call flows 
> shortly. Please take some time in the next two weeks to read the 
> document in preparation for this decision:
> 
> http://tools.ietf.org/html/draft-barnes-sipcore-rfc4244bis-cal
> lflows-01
> 
> Thank you.
> 
> /a
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>